Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
lookup.h File Reference
`#include <botan/block_cipher.h>`
`#include <botan/stream_cipher.h>`
`#include <botan/hash.h>`
`#include <botan/mac.h>`
`#include <botan/exceptn.h>`
`#include <string>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BlockCipher * | Botan::get_block_cipher (const std::string &algo_spec, const std::string &provider="")
std::vector< std::string > | Botan::get_block_cipher_providers (const std::string &algo_spec)
HashFunction * | Botan::get_hash (const std::string &algo_spec, const std::string &provider="")
HashFunction * | Botan::get_hash_function (const std::string &algo_spec, const std::string &provider="")
std::vector< std::string > | Botan::get_hash_function_providers (const std::string &algo_spec)
MessageAuthenticationCode * | Botan::get_mac (const std::string &algo_spec, const std::string &provider="")
std::vector< std::string > | Botan::get_mac_providers (const std::string &algo_spec)
StreamCipher * | Botan::get_stream_cipher (const std::string &algo_spec, const std::string &provider="")
std::vector< std::string > | Botan::get_stream_cipher_providers (const std::string &algo_spec)
std::unique_ptr< BlockCipher > | Botan::make_block_cipher (const std::string &algo_spec, const std::string &provider="")
std::unique_ptr< HashFunction > | Botan::make_hash_function (const std::string &algo_spec, const std::string &provider="")
std::unique_ptr< MessageAuthenticationCode > | Botan::make_message_auth (const std::string &algo_spec, const std::string &provider="")
std::unique_ptr< StreamCipher > | Botan::make_stream_cipher (const std::string &algo_spec, const std::string &provider="")